Global Phone Quickstart#

Introduction#

Welcome to the Melissa Global Phone Cloud API. Verify phone numbers from over 250+ countries and territories and append useful geographic information. In US/CA you can perform premium real-time checks to distinguish live numbers and phone types.

The Global Phone Cloud API can:

  • Verify and append country dialing codes, international exit codes, national prefixes, and more.

  • Append geographic information on the telephone line such as latitude, longitude, administrative area, and language.

  • Parse the phone number into its various components.

  • Return Caller ID Information (US/CA Only)

  • Identify the number’s phone type including mobile, landline, VoIP, and more. (US/CA Only)

  • Perform a real-time check on a number to know whether it is live or not. (US/CA Only)

Global Phone Rate Limiting#

The Global Phone Web Service Premium Mode only supports Real-Time validation of phone numbers. We currently do not support batch processing when the Premium Mode option is enabled. This restriction is in place to ensure Telco providers do not block our system when verifying phone numbers.

A maximum on 5 records per second is the rate limit for all Global Phone Premium users. Going over this limit will subject users to rate limiting (429 Errors) or disconnection of service.

New to Melissa Cloud APIs?#

We highly recommend first time users of our Cloud APIs to review our Using Melissa Cloud APIs section. It will cover critical topics like:

System Requirements#

  • SSL/TLS 1.2+

Getting Started - What Can I Do?#

Explore Melissa Lookups#

Check out Global Phone lookups here for the full experience.

Check a Phone Number#

Global Phone can check to see if a phone number is valid.

Endpoint#

/V4/WEB/GlobalPhone/doGlobalPhone

Click here to go to the full endpoint documentation.

Try it Now#

  • GET JSON
  • POST JSON
curl -X GET "http://globalphone.melissadata.net/V4/WEB/GlobalPhone/doGlobalPhone?\
&t=Test\
&id={{customerId}}\
&opt=\
&phone=1-800-635-4772\
&ctry=US\
&ctryOrg=" \
-H "Content-Type: application/json" \
-H "Accept: application/json"
curl -X POST "http://globalphone.melissadata.net/V4/WEB/GlobalPhone/doGlobalPhone" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
      "TransmissionReference": "Test",
      "CustomerID": "{{customerId}}",
      "Options": "",
      "Records":
      [{
         "RecordID": "1",
         "PhoneNumber": "1-800-635-4772",
         "Country": "US",
         "CountryOfOrigin": ""
      },
      {
         "RecordID": "2",
         "PhoneNumber": "+44 (0)20 7718 0070",
         "Country": "UK",
         "CountryOfOrigin": ""
      }]
    }
   '

Inputs and Outputs#

The table below shows the most common inputs and outputs for this endpoint.

For full details on the inputs see the Request Parameters and for a complete list of the outputs see the Response fields.

  • GET JSON
  • POST JSON

Inputs

Outputs

Request Level Parameters

id

opt

t

Record Level Parameters

ctry

ctryOrg

phone

Service Level Response Fields

Version

TransmissionReference

TransmissionResults

Records

Record Level Response Fields

RecordID

Results

PhoneNumber

AdministrativeArea

CountryAbbreviation

CountryName

Carrier

CallerID

DST

InternationalPhoneNumber

Language

Latitude

Locality

Longitude

PhoneInternationalPrefix

PhoneCountryDialingCode

PhoneNationPrefix

PhoneNationalDestinationCode

PhoneSubscriberNumber

UTC

TimeZoneCode

TimeZoneName

PostalCode

Suggestions

Inputs

Outputs

Request Level Parameters

CustomerID

Options

TransmissionReference

Record Level Parameters

Country

CountryOfOrigin

PhoneNumber

RecordID

Service Level Response Fields

Version

TransmissionReference

TransmissionResults

Records

Record Level Response Fields

RecordID

Results

PhoneNumber

AdministrativeArea

CountryAbbreviation

CountryName

Carrier

CallerID

DST

InternationalPhoneNumber

Language

Latitude

Locality

Longitude

PhoneInternationalPrefix

PhoneCountryDialingCode

PhoneNationPrefix

PhoneNationalDestinationCode

PhoneSubscriberNumber

UTC

TimeZoneCode

TimeZoneName

PostalCode

Suggestions